package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.CouponInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.CouponInfoMapper")
public interface CouponInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(CouponInfo record);

    CouponInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CouponInfo record);

    List<CouponInfo> queryAllCouponInfo(CouponInfo record);

    List<CouponInfo> queryCouponInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    CouponInfo queryCouponInfo(CouponInfo record);

    List<CouponInfo> query(CouponInfo record);
}

